exclude: "^docs/|/migrations/"
default_stages: [commit]

repos:
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v4.2.0
    hooks:
      - id: trailing-whitespace
      - id: end-of-file-fixer
      - id: check-yaml

#  - repo: https://github.com/psf/black
#    rev: 22.3.0
#    hooks:
#      - id: black

  - repo: https://github.com/PyCQA/isort
    rev: 5.10.1
    hooks:
      - id: isort

#  - repo: https://github.com/PyCQA/flake8
#    rev: 4.0.1
#    hooks:
#      - id: flake8
#        args: ["--config=setup.cfg"]
#        additional_dependencies: [flake8-isort]

# sets up .pre-commit-ci.yaml to ensure pre-commit dependencies stay up to date
ci:
  autoupdate_schedule: weekly
  skip: []
  submodules: false
